local prototypes = 
  {
    
    data.raw["transport-belt"]["transport-belt"],
    data.raw["transport-belt"]["fast-transport-belt"],
    data.raw["transport-belt"]["express-transport-belt"],
    data.raw.splitter.splitter,
    data.raw.splitter["fast-splitter"],
    data.raw.splitter["express-splitter"],
    -- data.raw["underground-belt"]["underground-belt"], -- nope, hidden wire is too short
  }



local tint = {r=.6,g=1, b=1}


function deep_add_tint (tabl, tint)
  for i, v in pairs (tabl) do
    if type (v) == 'table' then
      deep_add_tint (v, tint)
    end
  end
  
  if tabl.filename then
    tabl.tint = table.deepcopy(tint)
  end
  
  if tabl.icon then
    tabl.icons = {{icon = tabl.icon, tint = table.deepcopy(tint)}}
    tabl.icon = nil
  elseif tabl.icons then
    log ('No icons, sorry')
    -- tabl.icons[#tabl.icons].tint = table.deepcopy(tint)
  end
  

end



local prots = {}
for i, old_prot in pairs (prototypes) do
  local name = 'cb-'..old_prot.name

  local new_prot = table.deepcopy (old_prot)
  new_prot.name = name
  new_prot.minable.result = name
  deep_add_tint (new_prot, tint)
  table.insert (prots, new_prot)
  
  local new_item = table.deepcopy (data.raw.item[old_prot.name])
  if new_item then
    new_item.name = name
    new_item.place_result = name
    deep_add_tint (new_item, tint)
    table.insert (prots, new_item)
  end
  
  local new_recipe = table.deepcopy (data.raw.recipe[old_prot.name])
  if new_recipe then
    new_recipe.name = name
    
    if new_recipe.category and new_recipe.category == "crafting-with-fluid" then
      new_recipe.category = "crafting"
    end
    --"crafting" "advanced-crafting" "crafting-with-fluid" 
    
    if new_recipe.normal or new_recipe.expensive then
      new_recipe.normal = nil
      new_recipe.expensive = nil
    end
    
    new_recipe.ingredients = 
      {
        -- {new_recipe.result or old_prot.name, 1},
        {old_prot.name, 1},
        {'copper-cable', 5}
      }
    new_recipe.result = name
    new_recipe.result_count = nil
    new_recipe.enabled = false -- for transport belt
    deep_add_tint (new_recipe, tint)
    table.insert (prots, new_recipe)
  end
end


for i, prot in pairs (prots) do
  data:extend(
    {
      prot
    }
  )
end